#include "widget.h"
#include "kaddfilebutton.h"
#include <QDebug>
#include <QTreeView>
#include <QBoxLayout>
#include <QAbstractItemDelegate>

using namespace kdk;
Widget::Widget(QWidget *parent)
    : QWidget(parent)
{
    QTreeView* view = new QTreeView(this);
    QHBoxLayout* layout = new QHBoxLayout(view);
    KAddFileButton* button1 = new KAddFileButton();
    KAddFileButton* button2 = new KAddFileButton();
    QStringList list;
    list<<"JPEG Files(*.jpg)"<<"PNG Files(*.png)";
    button2->setNameFilters(list);

    layout->addWidget(button1);
    layout->addWidget(button2);

    connect(button1,&KAddFileButton::clicked,[=]{
        qDebug()<<"button1 选择路径"<<button1->fileDialog()->selectedFiles();
    });
    connect(button2,&KAddFileButton::clicked,[=]{
        qDebug()<<"button2 选择路径"<<button2->fileDialog()->selectedFiles();
    });

    setFixedSize(600,500);
}

Widget::~Widget()
{
}

