#include "widget.h"
#include "klabel.h"
#include <QHBoxLayout>
#include <QIcon>
#include <QPushButton>
#include <QDebug>

using namespace kdk;
Widget::Widget(QWidget *parent)
    : QWidget(parent)
{
    QVBoxLayout* vlayout = new QVBoxLayout(this);
    QVBoxLayout* layout = new QVBoxLayout();

    KLabel *label1 = new KLabel();
    label1->setText("我是一个测试tooltip的lable");
    label1->setBackgroundColor(true,Qt::red);
//    label1->setFixedWidth(100);

    KLabel *label2 = new KLabel(this);
    label2->setPixmap(QIcon::fromTheme("system-computer-symbolic").pixmap(16,16));
    label2->setDataHightColor(true);
    label2->setLabelType(KLabelType::DataType);
    label2->setText("我是一个测试lable");

    KLabel *label3 = new KLabel();
    label3->setFixedWidth(100);
    label3->setText("测\n测dawdadafauphfuawhfawhfp");
    label3->setWordWrap(true);
    label3->setPixmap(QIcon::fromTheme("system-computer-symbolic").pixmap(16,16));
    label3->setLabelType(KLabelType::DataType);
    label3->setBackgroundColor(Qt::white);
    label3->setDataHightColor(true);

    KLabel *label4 = new KLabel();
    label4->setLabelType(KLabelType::CircleType);
    label4->setPixmap(QIcon::fromTheme("system-computer-symbolic").pixmap(16,16));
    label4->setFixedSize(50,50);
    QFont font1;
    int i = font().pointSize();
    font1.setPointSize(i +16);
    label1->setFont(font1);

    label4->setPixmap(QIcon::fromTheme("dialog-ok").pixmap(16,16));
    label4->setBackgroundColor(true,Qt::green);

    QLabel *label5 = new QLabel();
    label5->setText("dawdsdawdadsadajwhfahlfaw案件\n噢if煎熬if怕回复发黄皮肤熊频繁；好发好");
    label5->setWordWrap(true);
    label5->setFixedWidth(200);


    QPushButton *btn1 = new QPushButton("默认");
    QPushButton *btn2 = new QPushButton("高亮背景");
    QPushButton *btn3 = new QPushButton("自定义背景");
    QHBoxLayout *hlayout = new QHBoxLayout();
    hlayout->addWidget(btn1);
    hlayout->addWidget(btn2);
    hlayout->addWidget(btn3);

    connect(btn1,&QPushButton::clicked,this,[=]{
        label4->setHighlightBackground(false);
        label4->setBackgroundColor(false);
        label4->setPixmap(QIcon::fromTheme("system-computer-symbolic").pixmap(16,16));
    });
    connect(btn2,&QPushButton::clicked,this,[=]{
        label4->setHighlightBackground(true);
        label4->setPixmap(QIcon::fromTheme("system-computer-symbolic").pixmap(16,16));
    });
    connect(btn3,&QPushButton::clicked,this,[=]{
        label4->setBackgroundColor(true,QColor(82, 196, 41));
        label4->setPixmap(QIcon::fromTheme("dialog-ok").pixmap(16,16));
    });

    layout->addWidget(label1);
    layout->addWidget(label2);
    qDebug()<<label5->contentsMargins();
    layout->addWidget(label3);
    layout->addLayout(hlayout);
    layout->addWidget(label4);
    layout->addWidget(label5);
    vlayout->addLayout(layout);
}

Widget::~Widget()
{
}

