#include "widget.h"
#include "kprogresslabel.h"
#include <QPushButton>
#include <QDebug>

using namespace kdk;

Widget::Widget(QWidget *parent)
    : QWidget(parent)
{
    QVBoxLayout *vlayout = new QVBoxLayout(this);
    QHBoxLayout *layout = new QHBoxLayout();
    KProgressLabel* label= new KProgressLabel();
    QStringList list;
    list.append("11");
    list.append("22");
    list.append("33");
    list.append("44");
    list.append("55");

    QStringList list2;
    list2.append("1");
    list2.append("2");
    list2.append("3");
    list2.append("4");
    list2.append("5");
    label->setStringList(list);
    label->setCircleSize(QSize(24,24));
    label->setCurrentIndex(1);
//    label->setStyleSheet("background :red");

    QPushButton* btn1 = new QPushButton("");

    QPushButton* btn2 = new QPushButton("");

    layout->addWidget(btn1);
    layout->addWidget(btn2);
    vlayout->addWidget(label);
    vlayout->addLayout(layout);
    connect(btn1,&QPushButton::clicked,this,[=]{
        label->setCurrentIndex(label->currentIndex() -1 );
        qDebug()<<label->size();
    });
    connect(btn2,&QPushButton::clicked,this,[=]{
        label->setCurrentIndex(label->currentIndex() + 1);
    });
    setFixedSize(600,500);
}

Widget::~Widget()
{
}

